Skip to main content
Weavr Multi Product BackOffice API
Reference

Parameters

identity_id

identity.idquery

Filter by the source instrument id. Must be specified when source.type is provided.

Id · string

pattern ^[0-9]+$

identity_type

identity.typequery

Filter by the source instrument type. Must be specified when source.id is provided.

enum

Indicates the identity type.

Enum:CONSUMERCORPORATE

offset

offsetquery

The offset value for paging, indicating the initial item number to be returned from the data set satisfying the given criteria. Leave out to fetch the first page of results.

integer · int32

min 0

limit

limitquery

The limit of the results for paging, starting at the offset. Limit is always capped at 100.

integer · int32

min 1max 100

createdFrom

createdFromquery

Filter for managed accounts/cards created after createdFrom timestamp. Timestamp is expressed in Epoch timestamp using millisecond precision. Leave out to fetch all managed accounts/cards.

integer · int64

createdTo

createdToquery

Filter for managed accounts/cards created before createdTo timestamp. Timestamp is expressed in Epoch timestamp using millisecond precision. Leave out to fetch all managed accounts/cards.

integer · int64

orderByTimestamp

orderByTimestampquery

Orders the result in ascending or descending order.

  • ASC: Ascending order, oldest transactions first.
  • DESC: Descending order, most recent transactions first.

If not specified, the transactions will be returned in descending order.

enum

Enum:ASCDESC

bulkProcessStatus

statusquery
BulkProcessStatus · enum

Enum:SUBMITTEDRUNNINGPARTIALLY_COMPLETEDCOMPLETEDFAILEDPAUSEDCANCELLED

bulkId

bulk_idpath*

The bulk id of the bulk process.

BulkId · string

pattern ^[0-9]+$

sequence

sequencequery
integer · int64

bulkProcessOperationStatus

statusquery
BulkProcessOperationStatus · enum

Enum:SUBMITTEDRUNNINGCOMPLETEDFAILEDCANCELLED

idempotency-ref

idempotency-refheader

A unique call reference generated by the caller that, taking into consideration the payload as well as the operation itself, helps avoid duplicate operations. Idempotency reference uniqueness is maintained for at least 24 hours.

string

accept

acceptheader

A request parameter specifying the type of response the client would like. Must be one of application/json, application/pdf or text/csv.

The default response type (application/json) will be returned if specified incorrectly or not specified.

string

statementLimit

statementLimitquery

The limit of the results for statements paging, starting at the offset. Limit is capped at 500.

integer · int32

min 1max 500

fromTimestamp

fromTimestampquery

Filter for transactions having transaction timestamp after fromTimestamp. Timestamp is expressed in Epoch timestamp using millisecond precision. If omitted, all matching transactions up to the present will be included.

integer · int64

toTimestamp

toTimestampquery

Filter for transactions having transaction timestamp before toTimestamp. Timestamp is expressed in Epoch timestamp using millisecond precision. If omitted, all matching transactions up to the present will be included. If both fromTimestamp and toTimestamp are provided, toTimestamp must be greater than fromTimestamp.

integer · int64

showFundMovementsOnly

showFundMovementsOnlyquery

Deprecated. Use singleEntryPerTransaction instead.

Returns only the entries which contain fund movements.

boolean

singleEntryPerTransaction

singleEntryPerTransactionquery

Returns transactions that span multiple movements as a single entry. Only includes transactions that have been completed. Defaults to true for PDF statements, false otherwise. Note: due to the fact that only completed transactions are included, some transactions that are in progress and have modified the balance of the instrument will not be shown, which could lead to seemingly inconsistent balance being displayed.

boolean

transactionType

transactionTypequery

Filter by the transaction type. Leave out to fetch all entries.

array<TransactionType · enum>

Enum:INSTRUMENT_CREATEINSTRUMENT_BLOCKINSTRUMENT_UNBLOCKINSTRUMENT_DELETEAUTHORISATIONSETTLEMENTMANUAL_TRANSACTIONTRANSFERSENDDEPOSITAUTHORISATION_REVERSALAUTHORISATION_EXPIRYAUTHORISATION_DECLINEAUTHORISATION_MANUAL_CLOSEMERCHANT_REFUNDMERCHANT_REFUND_REVERSALORIGINAL_CREDIT_TRANSACTIONSETTLEMENT_REVERSALADJUSTMENTCHARGE_FEEWITHDRAWAL_RESERVEWITHDRAWAL_RELEASEFEE_REVERSALCARD_UPGRADE_TO_PHYSICALACTIVATE_PHYSICAL_CARDINSTRUMENT_REPLACEOUTGOING_WIRE_TRANSFERAUTHORISATION_CANCELLATIONSYSTEM_TRANSACTIONOUTGOING_DIRECT_DEBIT_COLLECTIONOUTGOING_DIRECT_DEBIT_REFUND

unique items true

transferProfileId

profileIdquery

Filter by the transfer profile. Leave out to fetch all transfer transactions.

ProfileId · string

The profile Id which a specific identity, instrument or transaction type is linked to.

Profiles contain configuration and determine behavioral aspects of the newly created transaction, for example, fees that may apply.

You can have one or more profiles linked to your application, and these can be used to drive different behaviors according to your product's needs.

Profile Ids can be found in the Multi Portal, in the API Credentials page.

pattern ^[0-9]+$

instrumentId

instrumentIdquery

Filter by the source instrument id.

{}
InstrumentIdInstrumentId · object · 2 fields

transactionState

statequery

Filter by the transfer transaction state. Leave out to fetch all states.

array<TransactionState · enum>

Enum:INITIALISEDCOMPLETEDREJECTEDFAILEDPENDINGSCHEDULEDCANCELLED

unique items true

transferCreatedFrom

createdFromquery

Filter for transfer transactions created after createdFrom timestamp. Timestamp is expressed in Epoch timestamp using millisecond precision. Leave out to fetch all transfers.

integer · int64

transferCreatedTo

createdToquery

Filter for transfer transactions created before createdTo timestamp. Timestamp is expressed in Epoch timestamp using millisecond precision. Leave out to fetch all transfers.

integer · int64

transferTag

tagquery

Filter by the transfer tag. The exact tag must be provided, as wildcards are not supported. Leave out to fetch all entries.

string

userIdExplode

user_idpath*

The unique identifier for the user.

UserId · string

pattern ^[0-9]+$